> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesimple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Number

> Update the friendly name of a phone number.



## OpenAPI

````yaml PATCH /numbers/{uuid}
openapi: 3.1.0
info:
  title: Public API v1
  description: >-
    Public API v1 requiring API keys.


    **Timestamps:** All datetime fields in API responses are returned in UTC
    using ISO 8601 format (e.g., `2024-01-15T14:30:00Z`). When filtering by date
    parameters, provide timestamps in ISO 8601 format.
  version: 0.1.0
servers:
  - url: https://api.prod.usesimple.ai/api/v1
    description: Production API Server
security: []
paths:
  /numbers/{uuid}:
    patch:
      tags:
        - Numbers
      summary: Update Number
      description: Update the friendly name of a phone number.
      operationId: update_number_numbers__uuid__patch
      parameters:
        - name: uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                friendly_name:
                  type: string
                  title: Friendly Name
                  description: The new friendly name for the phone number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumberResponse'
        '404':
          description: Number Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - APIKeyHeader: []
components:
  schemas:
    PhoneNumberResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        number:
          type: string
        friendly_name:
          type: string
        area_code:
          type: string
        country:
          type: string
        agent:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            uuid:
              type: string
              format: uuid
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - number
        - friendly_name
        - area_code
        - country
        - status
        - active
        - created_at
        - updated_at
      title: PhoneNumberResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````